---
title: Home
template: index.ejs
---

<div class="logo-container">
  <img src="/fluxbox.svg" alt="Fluxbox" title="Fluxbox" class="logo-svg">
</div>

<div class="homepage-callout">
  <p><strong>Fluxbox</strong> is a set of tools to facilitate building JavaScript data layers using <a href="http://facebook.github.io/react/docs/flux-overview.html">the Flux architecture</a> by reifying many of the core Flux concepts. It works particularly well in conjunction with <a href="http://facebook.github.io/react/">React</a> as the view layer, and contains a few helpers to make integration with React applications easier.</p>

  <p>The Flux architecture...</p>

  <ul class="features">
    <li>...eschews complex MVC hierarchies in favor of a one-way data flow</li>
    <li>...makes it easier to reason about changes to your application's data</li>
    <li>...helps improve data consistency</li>
    <li>...prevents hard-to-debug cascading updates</li>
    <li>...works great with React and complements its composable components</li>
  </ul>

  <div style="padding-top: 20px">
    <iframe src="http://ghbtns.com/github-btn.html?user=BinaryMuse&repo=fluxbox&type=watch&count=true&size=large"
    allowtransparency="true" frameborder="0" scrolling="0" width="170" height="30"></iframe>

    <div class="tweet-button-container">
      <a href="https://twitter.com/share" class="twitter-share-button" data-url="http://fluxbox.io" data-via="BinaryMuse" data-size="large">Tweet</a>
    </div>
  </div>
</div>

<div style="clear: both" class="bottom-button-container">
  <div class="index-button-container teal">
  <span class="cta">Learn More about Flux</span>
  <div class="button-container"><a href="/what-is-flux.html">WHAT IS FLUX?</a></div>
  </div>

  <div class="index-button-container orange">
  <span class="cta">Get Up and Running</span>
  <div class="button-container"><a href="/getting-started/quick-start.html">QUICK START</a></div>
  </div>

  <div class="index-button-container purple">
  <span class="cta">See some Examples</span>
  <div class="button-container"><a href="/examples/">EXAMPLES</a></div>
  </div>

  <div class="index-button-container red">
  <span class="cta">Dive Into the API</span>
  <div class="button-container"><a href="/documentation/">DOCUMENTATION</a></div>
  </div>
</div>
